Bug 840182 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:38 EDT by Eric Smith
Modified: 2014-03-16 23:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 22:06:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:38:01 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Bill Nottingham 2012-07-16 12:05:04 EDT
Fixed in http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=164d1ede7161233a2a2fe6e4cf413b44a08923e4, will do s|/lib|/usr/lib| when the rest of the package is converted.
Comment 2 Fedora Update System 2012-11-15 17:20:26 EST
initscripts-9.37.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/initscripts-9.37.2-1.fc17
Comment 3 Fedora Update System 2012-11-17 18:47:16 EST
Package initscripts-9.37.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.37.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18388/initscripts-9.37.2-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-19 22:06:54 EST
initscripts-9.37.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.